Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fonts
Class SimpleFontExtensionHelper

    java.lang.Object
      net.sf.jasperreports.engine.fonts.SimpleFontExtensionHelper

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

    public final class SimpleFontExtensionHelper

extends java.lang.Object
implements org.xml.sax.ErrorHandler

Version:
  $Id: JRStyledTextParser.java 3082 2009-10-02 12:11:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`void` | `error(org.xml.sax.SAXParseException e)`
`void` | `fatalError(org.xml.sax.SAXParseException e)`
`static SimpleFontExtensionHelper` | `getInstance()` Return a cached instance.
`java.util.List` | `loadFontFamilies(java.io.InputStream is)`
`java.util.List` | `loadFontFamilies(java.lang.String file)`
`void` | `warning(org.xml.sax.SAXParseException e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static SimpleFontExtensionHelper getInstance()

  Return a cached instance.

  Returns:
    a cached instance

### loadFontFamilies

    public java.util.List loadFontFamilies(java.lang.String file)

### loadFontFamilies

    public java.util.List loadFontFamilies(java.io.InputStream is)

### error

    public void error(org.xml.sax.SAXParseException e)

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException e)

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`

### warning

    public void warning(org.xml.sax.SAXParseException e)

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com